From 3ca37e53f22bfbb4ef436829904dc75b1f4940ec Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sun, 21 Jan 2018 11:16:53 +0100
Subject: [PATCH] Quickport higan-099-QA.patch to v106r1

---
 higan/GNUmakefile               |  5 ++---
 higan/target-tomoko/GNUmakefile |  6 +++---
 icarus/GNUmakefile              |  4 ++--
 nall/GNUmakefile                | 19 -------------------
 4 files changed, 7 insertions(+), 27 deletions(-)

diff --git a/higan/GNUmakefile b/higan/GNUmakefile
index 5eac824..2616ed1 100644
--- a/higan/GNUmakefile
+++ b/higan/GNUmakefile
@@ -26,7 +26,6 @@ else ifneq ($(filter $(platform),linux bsd),)
   flags += -fopenmp
   link += -fopenmp
   ifeq ($(binary),application)
-    flags += -march=native
     link += -Wl,-export-dynamic
     link += -lX11 -lXext
   else ifeq ($(binary),library)
@@ -40,9 +39,9 @@ endif
 compile = \
   $(strip \
     $(if $(filter %.c,$<), \
-      $(compiler) $(cflags) $(flags) $1 -c $< -o $@, \
+      $(compiler) $(cflags) $(flags) $(CFLAGS) $1 -c $< -o $@, \
       $(if $(filter %.cpp,$<), \
-        $(compiler) $(cppflags) $(flags) $1 -c $< -o $@ \
+        $(compiler) $(cppflags) $(flags) $(CXXFLAGS) $1 -c $< -o $@ \
       ) \
     ) \
   )
diff --git a/higan/target-tomoko/GNUmakefile b/higan/target-tomoko/GNUmakefile
index bfdcbe2..bdb6d44 100644
--- a/higan/target-tomoko/GNUmakefile
+++ b/higan/target-tomoko/GNUmakefile
@@ -48,10 +48,10 @@ objects := $(ui_objects) $(objects)
 objects := $(patsubst %,obj/%.o,$(objects))
 
 obj/ruby.o: ../ruby/ruby.cpp $(call rwildcard,../ruby/)
-	$(compiler) $(rubyflags) -c $< -o $@
+	$(compiler) $(rubyflags) $(CXXFLAGS) -c $< -o $@
 
 obj/hiro.o: ../hiro/hiro.cpp $(call rwildcard,../hiro/)
-	$(compiler) $(hiroflags) -c $< -o $@
+	$(compiler) $(hiroflags) $(CXXFLAGS) -c $< -o $@
 
 obj/ui-tomoko.o: $(ui)/tomoko.cpp $(call rwildcard,$(ui)/)
 obj/ui-program.o: $(ui)/program/program.cpp $(call rwildcard,$(ui)/)
@@ -67,7 +67,7 @@ obj/ui-resource.o:
 
 # targets
 build: $(objects)
-	$(strip $(compiler) -o out/$(name) $(objects) $(link))
+	$(strip $(compiler) $(CXXFLAGS) -o out/$(name) $(objects) $(link))
 ifeq ($(platform),macos)
 	@if [ -d out/$(name).app ]; then rm -r out/$(name).app; fi
 	mkdir -p out/$(name).app/Contents/MacOS/
diff --git a/icarus/GNUmakefile b/icarus/GNUmakefile
index d01465e..999c004 100644
--- a/icarus/GNUmakefile
+++ b/icarus/GNUmakefile
@@ -3,7 +3,7 @@ include ../nall/GNUmakefile
 include ../hiro/GNUmakefile
 
 name := icarus
-flags += -I..
+flags += -I.. $(CXXFLAGS)
 link +=
 
 ifeq ($(platform),windows)
@@ -15,7 +15,7 @@ objects += obj/icarus.o
 objects += $(if $(call streq,$(platform),windows),obj/resource.o)
 
 all: $(objects)
-	$(strip $(compiler) -o out/$(name) $(objects) $(link) $(hirolink))
+	$(strip $(compiler) -o out/$(name) $(objects) $(link) $(hirolink) $(LDFLAGS))
 ifeq ($(platform),macos)
 	@if [ -d out/$(name).app ]; then rm -r out/$(name).app; fi
 	mkdir -p out/$(name).app/Contents/MacOS/
diff --git a/nall/GNUmakefile b/nall/GNUmakefile
index f9865de..f864cde 100644
--- a/nall/GNUmakefile
+++ b/nall/GNUmakefile
@@ -59,25 +59,6 @@ ifeq ($(compiler),)
   endif
 endif
 
-# build settings
-ifeq ($(build),optimize)
-  flags += -O3
-else ifeq ($(build),release)
-  flags += -O2
-else ifeq ($(build),stable)
-  flags += -O1
-else ifeq ($(build),debug)
-  flags += -g
-else ifeq ($(build),profile)
-  flags += -pg
-  link += -pg
-else ifeq ($(build),instrument)
-  flags += -O3 -fprofile-generate
-  link += -lgcov
-else ifeq ($(build),optimize)
-  flags += -O3 -fprofile-use
-endif
-
 # clang settings
 ifeq ($(findstring clang++,$(compiler)),clang++)
   flags += -fno-strict-aliasing -fwrapv
-- 
2.16.0.rc2

